Bug 154697 - Import Chakra tests to JSC
Summary: Import Chakra tests to JSC
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Michael Saboff
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-25 14:59 PST by Saam Barati
Modified: 2016-09-07 13:38 PDT (History)
15 users (show)

See Also:


Attachments
Patch (deleted)
2016-08-26 17:10 PDT, Michael Saboff
no flags Details
Patch with just the changed or new pieces. (171.29 KB, patch)
2016-08-26 17:42 PDT, Michael Saboff
sbarati: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Saam Barati 2016-02-25 14:59:52 PST
...
Comment 1 Yusuke Suzuki 2016-02-25 20:28:46 PST
Cooooooool!
Comment 2 JF Bastien 2016-08-26 13:36:24 PDT
Very cool :)
Comment 3 Michael Saboff 2016-08-26 17:10:48 PDT
Created attachment 287177 [details]
Patch
Comment 4 Michael Saboff 2016-08-26 17:14:29 PDT
The interesting files are:
    Source/JavaScriptCore/jsc.cpp
    Tools/Scripts/run-jsc-stress-tests
    JSTests/ChakraCore.yaml
Comment 5 Saam Barati 2016-08-26 17:29:06 PDT
rs=me
Let's just make sure our licenses our compatible.
Comment 6 Saam Barati 2016-08-26 17:30:09 PDT
(In reply to comment #5)
> rs=me
> Let's just make sure our licenses our compatible.
(I'm not pushing r+ because I can't get anything on bugzilla to actually
 load the diff. I looked at the diff in my text editor).

Also, can you post a follow up bug to turn this on by default
or have some way to have it run on bots by default?
Comment 7 Michael Saboff 2016-08-26 17:42:22 PDT
Created attachment 287181 [details]
Patch with just the changed or new pieces.
Comment 8 WebKit Commit Bot 2016-08-26 17:43:38 PDT
Attachment 287181 [details] did not pass style-queue:


ERROR: Source/JavaScriptCore/jsc.cpp:2046:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Total errors found: 1 in 8 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 9 Michael Saboff 2016-08-26 17:48:37 PDT
(In reply to comment #8)
> Attachment 287181 [details] did not pass style-queue:
> 
> 
> ERROR: Source/JavaScriptCore/jsc.cpp:2046:  Weird number of spaces at
> line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
> Total errors found: 1 in 8 files
> 
> 
> If any of these errors are false positives, please file a bug against
> check-webkit-style.

I fixed this locally.
Comment 10 Ryan Haddad 2016-09-02 11:22:01 PDT
I released this patch from EWS because it seems to cause it to hang indefinitely when trying to run.
Comment 11 Alexey Proskuryakov 2016-09-02 15:32:11 PDT
The content of attachment 287177 [details] has been deleted by
    Alexey Proskuryakov <ap@webkit.org>
who provided the following reason:

too big, fails to download

The token used to delete this attachment was generated at 2016-09-02 15:31:41 PDT.
Comment 12 Saam Barati 2016-09-07 13:31:50 PDT
Michael landed it in:
https://trac.webkit.org/changeset/205387
Comment 13 Michael Saboff 2016-09-07 13:38:43 PDT
Change landed in changes https://trac.webkit.org/changeset/205387

Followup fix landed in https://trac.webkit.org/changeset/205389